
Summary: an implementation of the Burrows-Wheeler compression algorithm
Name: bzip2
%define version 0.9.0b
Version: %{version}
Release: 1a
URL: http://www.muraroa.demon.co.uk/
Copyright: GNU General Public License
Group: Utilities/Archiving
#Packager: John C. Peterson <jaypee@netcom.com>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Source: http://www.muraroa.demon.co.uk/bzip2-%{version}.tar.gz
Buildroot: /tmp/build_root
%define prefix /usr
Prefix: %{prefix}

%changelog
* Fri Oct 23 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to version 0.9.0b

%description
bzip2 is a high-quality implementation of the Burrows-Wheeler block
sorting based transform, with Huffman coding. This lossless compression
algorithm is in general, considerably better than that achieved by more
conventional LZ77/LZ78 based compressors (like gzip), and competitive
with all but the best of the PPM family of statistical compressors.
bzip2 does not infringe on any known patents, hence it is not compatible
with bzip 0.21 (it uses arithmetic coding, which is patented in the USA).

%package devel
Summary: library and header files for applications using bzip2
Group:	Library

%description devel
This package contains library and header files for application
development using bzip2.

%prep
%setup -n bzip2-%{version}

%build
make

%install
# clean start
rm -rf $RPM_BUILD_ROOT

# make the directories we will need
install -d $RPM_BUILD_ROOT%{prefix}/bin
install -d $RPM_BUILD_ROOT%{prefix}/include
install -d $RPM_BUILD_ROOT%{prefix}/lib
install -d $RPM_BUILD_ROOT%{prefix}/man/man1

# install the executable
install -m 0755 -s bzip2 $RPM_BUILD_ROOT%{prefix}/bin
install -m 0755 -s bzip2recover $RPM_BUILD_ROOT%{prefix}/bin
ln -s bzip2 $RPM_BUILD_ROOT%{prefix}/bin/bunzip2
ln -s bzip2 $RPM_BUILD_ROOT%{prefix}/bin/bzcat

# install the man page
install -m 0644 bzip2.1 $RPM_BUILD_ROOT%{prefix}/man/man1

# install the library and header files
install -m 0644 bzlib.h $RPM_BUILD_ROOT%{prefix}/include
install -m 0644 libbz2.a $RPM_BUILD_ROOT%{prefix}/lib

%clean
# remove build dir
rm -rf $RPM_BUILD_ROOT

%files
%doc LICENSE README manual.ps *.html
%{prefix}/bin/bzip2
%{prefix}/bin/bzip2recover
%{prefix}/bin/bunzip2
%{prefix}/bin/bzcat
%{prefix}/man/man1/bzip2.1

%files devel
%{prefix}/include/bzlib.h
%{prefix}/lib/libbz2.a

